clang 10.0.0git

Public Member Functions | List of all members
clang::AvailabilitySpec Class Reference

One specifier in an expression. More...

`#include "clang/AST/Availability.h"`

## Public Member Functions
| AvailabilitySpec (VersionTuple Version, StringRef Platform, SourceLocation BeginLoc, SourceLocation EndLoc)
| AvailabilitySpec (SourceLocation StarLoc)
| This constructor is used when representing the '*' case. More...
VersionTuple | getVersion () const
StringRef | getPlatform () const
SourceLocation | getBeginLoc () const
SourceLocation | getEndLoc () const
bool | isOtherPlatformSpec () const
| Returns true when this represents the '*' case. More...

## Detailed Description

One specifier in an expression.

@available(macos 10.10, *)

Here, 'macos 10.10' and '*' both map to an instance of this type.

Definition at line 30 of file Availability.h.

## Constructor & Destructor Documentation

## ◆ AvailabilitySpec() [1/2]

clang::AvailabilitySpec::AvailabilitySpec | ( | VersionTuple | Version,
|  | StringRef | Platform,
|  | SourceLocation | BeginLoc,
|  | SourceLocation | EndLoc
| ) |  |
| inline

Definition at line 42 of file Availability.h.

## ◆ AvailabilitySpec() [2/2]

clang::AvailabilitySpec::AvailabilitySpec | ( | SourceLocation | StarLoc | ) |
| inline

This constructor is used when representing the '*' case.

Definition at line 48 of file Availability.h.

## Member Function Documentation

## ◆ getBeginLoc()

SourceLocation clang::AvailabilitySpec::getBeginLoc | ( |  | ) | const
| inline

Definition at line 53 of file Availability.h.

## ◆ getEndLoc()

SourceLocation clang::AvailabilitySpec::getEndLoc | ( |  | ) | const
| inline

Definition at line 54 of file Availability.h.

## ◆ getPlatform()

StringRef clang::AvailabilitySpec::getPlatform | ( |  | ) | const
| inline

Definition at line 52 of file Availability.h.

Referenced by clang::Sema::ActOnObjCAvailabilityCheckExpr().

## ◆ getVersion()

VersionTuple clang::AvailabilitySpec::getVersion | ( |  | ) | const
| inline

Definition at line 51 of file Availability.h.

Referenced by clang::Sema::ActOnObjCAvailabilityCheckExpr().

## ◆ isOtherPlatformSpec()

bool clang::AvailabilitySpec::isOtherPlatformSpec | ( |  | ) | const
| inline

Returns true when this represents the '*' case.

Definition at line 57 of file Availability.h.

The documentation for this class was generated from the following file:

- include/clang/AST/Availability.h